function sp = threeleveleqns2014(t,s)
%All units are in THz and ps

global DeltaT chi12 chi23 tau omega_gm omega_em omega_0;

%Here are the differential equations in matrix form - sp is the derivative
%(s prime) this is for a three level

sp=i*[0*s(1)+chi12*cos(omega_0*t)*exp(-t^2/tau^2)*exp(i*omega_gm*t)*s(2)+0*s(3),
    chi12*cos(omega_0*t)*exp(-t^2/tau^2)*exp(-1*i*omega_gm*t)*s(1)+0*s(2)+chi23*cos(omega_0*t)*exp(-t^2/tau^2)*exp(-1*i*omega_em*t)*s(3),
    0*s(1)+chi23*cos(omega_0*t)*exp(-t^2/tau^2)*exp(i*omega_em*t)*s(2)+0*s(3)];
