function sp2 = twolevelequations(t,s)
%All units are in THz and ps 
global DeltaT chi12 chi23 tau omega_gm omega_em omega_0 chi0avg wgs wes delta;
tau=DeltaT/(2*sqrt(log(2)));
%define intensity envelope since tau is field envelope
tau2=tau/sqrt(2);
sp2 = -i*[wgs*exp(-t^2/tau2^2)*s(1)+exp(+i*delta*t)*chi0avg*exp(-t^2/tau2^2)*s(2),
   exp(-i*delta*t)*chi0avg*exp(-t^2/tau2^2)*s(1)+wes*exp(-t^2/tau2^2)*s(2)];
